#include <assert.h>
#include "../Attributes/ColorAttribute.h"
#include "PrimitiveInterface.h"

void PrimitiveInterface::setTexture (TextureInterface * t) {
  assert (t != NULL);
  texture = t;
}

const AttributeInterface * PrimitiveInterface::getAttribute (const Vector3D& position) {
  if (contains (position)) 
    return (*texture)(position);   
  return NULL;
}
  
